﻿@model CofFIME.Models.RegisterViewModel 
@{
    ViewBag.Title = "Register";
    Layout = "~/Views/Shared/_LayoutLogin.cshtml";
}

    <div class="row no-gutters min-vh-100">
        <div class="px-lg-5 py-lg-4 p-4 w-100 align-self-center text-center">
            <h1 class="mb-4 mt-4">Regístrate</h1>
            <form class="mb-5" action="/Register/Register" method="post">
                 @if (ViewBag.error != null)
                  {
                    <span class="badge badge-danger">@ViewBag.error</span>
                  }
                <div class="form-group">
                    <label class="custom-field w-100">
                        <input name="FirstName" type="text" required />
                        <span class="placeholder">Ingresa tu nombre</span>
                    </label>
                </div>
                <div class="form-group">
                    <label class="custom-field w-100">
                        <input name="Email" type="email" required />
                        <span class="placeholder">Ingresa tu email</span>
                    </label>
                </div>
                <div class="form-group">
                    <label class="custom-field w-100">
                        <input name="Password" type="password" required />
                        <span class="placeholder">Ingresa tu contraseña</span>
                    </label>
                </div>
                <div class="form-group">
                    <label class="custom-field w-100">
                        <select name="CurrentFacultad" required>
                            <option value="FACDYC">FACDYC</option>
                            <option value="FACPYA">FACPYA</option>
                            <option value="FARQ">FARQ</option>
                            <option value="FCB">FCB</option>
                            <option value="FCFM">FCFM</option>
                            <option value="FCQ">FCQ</option>
                            <option value="FFYL">FFYL</option>
                            <option value="FIC">FIC</option>
                            <option value="FIME">FIME</option>
                            <option value="FOD">FOD</option>
                            <option value="FTSYDH">FTSYDH</option>
                        </select>
                        <span class="placeholder">Selecciona tu facultad</span>
                    </label>
                </div>
                <button type="submit" class="btn btn-default">Iniciar sesión</button>
            </form>
        </div>
        <div class="text-center px-lg-5 pt-lg-3 pb-lg-4 p-4 w-100 mt-auto">
            <p class="d-inline-block mb-0">¿Ya tienes una cuenta?</p>
            <a href="@Url.Action("Login", "Login")" class="text-decoration-none">Ingresa</a>
        </div>
    </div>

